View Issue Details

IDProjectCategoryView StatusLast Update
0005264unrealircdpublic2019-05-10 08:51
ReporterwestorAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.2.4 
Summary0005264: Don't forward PASS into services if is already logged in
DescriptionHello,

It would be nice to add/fix that case that if someone is logged in via SASL then to not forward PASS into services if is already logged in,
now if someone tries to connect via SASL and PASS the services sending "You are already identified." message.

Other ircd versions already have that ability, it would be nice to see that in unrealircd supported too.

- Thanks!
Additional InformationA short conversation with KiwiIRC developer about it: https://i.imgur.com/2Dc2Nl0.png
TagsNo tags attached.
3rd party modules

Activities

syzop

2019-05-10 08:51

administrator   ~0020649

A good idea and a very simple fix :)

commit 872ebca6fa74249100ff722b6d06eeff9b390288 (HEAD -> unreal42, origin/unreal42, origin/HEAD)
Author: Bram Matthys <syzop@vulnscan.org>
Date: Fri May 10 08:49:40 2019 +0200

    Don't forward PASS to services if the user is already logged in via SASL.
    Reported by westor in https://bugs.unrealircd.org/view.php?id=5264

Issue History

Date Modified Username Field Change
2019-05-07 17:18 westor New Issue
2019-05-08 07:41 syzop Assigned To => syzop
2019-05-08 07:41 syzop Status new => acknowledged
2019-05-10 08:51 syzop Status acknowledged => resolved
2019-05-10 08:51 syzop Resolution open => fixed
2019-05-10 08:51 syzop Fixed in Version => 4.2.4
2019-05-10 08:51 syzop Note Added: 0020649